Subject: Re: [PATCH] cxl: Ignore CAPI adapters misplaced in switched slots

From: Frederic Barrat <[email-masked]>
Date: Fri, 1 Jul 2016 10:53:45 +0200

Salut Philippe,

Le 30/06/2016 13:45, Philippe Bergheaud a écrit :
> +	if (cxl_slot_is_switched(dev)) {
> +		dev_dbg(&dev->dev, "cxl_init_adapter: Ignoring switched slot device\n");
> +		return -ENODEV;
> +	}

I think it would be useful for the user who has inserted the card in the 
wrong slot to be notified, i.e. raise the level of the message. 
Otherwise he would be wondering why the card is not recognized.

   Fred